Skip to main content
GET
List agents

Authorizations

X-Api-Key
string
header
required

Your API key.

Query Parameters

type
enum<string>

Filter by type

Available options:
INBOUND,
OUTBOUND
fields
string

Comma-separated list of top-level agent fields to include in the response. Allowed values: id, created, telephonyConfiguration, name, type, active, recordable, archived, configuration

Example:

"id,name,active"

page
string
default:1

The page number to be returned, starts at 1

size
string
default:25

The number of items to be returned, maximum 500

sort
enum<string>

The sort property and direction. The default depends on the endpoint.

Available options:
<property>,ASC,
<property>,DESC
Example:

"property,DESC"

Response

OK

content
object[]

List of items in the current page

size
integer<int32>

The size of the page

page
integer<int32>

The page number

totalElements
integer<int64>

The total amount of elements

totalPages
integer<int32>

The number of total pages